%define name silc
%define version 20010402
%define release 1mdk

%define major 3
%define libname lib%{name}%{major}

Summary: Secure Internet Live Conferencing
Name: %name
Version: %version
Release: %release
License: GPL
Group: Networking/Other
Source: %name-%version.tar.bz2
BuildRoot: %_tmppath/%name-buildroot
URL: http://silc.pspt.fi/

%description
SILC (Secure Internet Live Conferencing) is a protocol which provides secure
conferencing services in the Internet over insecure channel. SILC is IRC like
software although internally they are very different. Biggest similarity 
between SILC and IRC is that they both provide conferencing services and that
SILC has almost same commands as IRC. Other than that they are nothing alike. 
Biggest differences are that SILC is secure what IRC is not in any way. 
The network model is also entirely different compared to IRC.

SILC provides security services that any other conferencing protocol does not 
offer today. The most popular conferencing service, IRC, is entirely insecure.
If you need secure place to talk to some people or to group of people over the
Internet, IRC or any other conferencing service, for that matter, cannot be 
used. Anyone can see the messages and their contents in the IRC network. And 
the most worse case, some people is able to change the contents of the 
messages. Also, all the authentication data, such as, passwords are sent 
plaintext. 

%package -n %libname
Summary: SILC librairies
Group: System/Libraries

%description -n %libname
SILC (Secure Internet Live Conferencing) is a protocol which provides secure
conferencing services in the Internet over insecure channel. SILC is IRC like
software although internally they are very different. Biggest similarity 
between SILC and IRC is that they both provide conferencing services and that 
SILC has almost same commands as IRC. Other than that they are nothing alike. 
Biggest differences are that SILC is secure what IRC is not in any way. 
The network model is also entirely different compared to IRC.

This package contains the librairies.


%package -n %{libname}-devel
Summary: SILC devel files
Group: Development/Other
Requires: %{libname} = %{version}
Provides: libsilc-devel

%description -n %{libname}-devel
SILC (Secure Internet Live Conferencing) is a protocol which provides secure
conferencing services in the Internet over insecure channel. SILC is IRC like
software although internally they are very different. Biggest similarity 
between SILC and IRC is thatthey both provide conferencing services and that 
SILC has almost same commands as IRC. Other than that they are nothing alike. 
Biggest differences are that SILC is secure what IRC is not in any way. 
The network model is also entirely different compared to IRC.

This package contains the various development files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir \
	--enable-shared

make

%install

%makeinstall

#%post -n %{name}
#/sbin/install-info --add %{_infodir}/gmp.info.bz2 %{_infodir}/dir
#/sbin/install-info --add %{_infodir}/gmp.info-*.bz2 %{_infodir}/dir

#%postun -n %{name}
#/sbin/install-info --delete %{_infodir}/gmp.info.bz2 %{_infodir}/dir
#/sbin/install-info --delete %{_infodir}/gmp.info-*.bz2 %{_infodir}/dir

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL COPYING TODO
%doc doc/*.txt doc/*.conf
%doc doc/CodingStyle doc/FAQ
%_bindir/*
#%_infodir/*

%files -n %{libname}
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_includedir/*


%changelog 
* Mon Apr 02 2001  Lenny Cartier <lenny@mandrakesoft.com> 20010402-1mdk
- updated to 20010402

* Mon Mar 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 20010326-1mdk
- fix url
- updated to 20010326

* Thu Mar 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 20010319-1mdk
- updated to 20010319

* Tue Mar 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 20010312-1mdk
- updated to 20010312

* Mon Mar 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 20010311-1mdk
- updated to 20010311

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 20010222-1mdk
- updated to 20010222

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 20010218-2mdk
- wrap and cut the description to take care of cooker people :))
- do not install info files for now 

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 20010218-1mdk
- updated to 20010218

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 20010215-1mdk
- updated to 20010215

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 20010211-1mdk
- new in contribs
